package templates

import (
	"text/template"
)

// EmailIdentityVerificationPlainText the template of email that the user will receive for identity verification.
var EmailIdentityVerificationPlainText *template.Template

func init() {
	t, err := template.New("email_identity_verification_plain_text").Parse(emailContentIdentityVerificationPlainText)
	if err != nil {
		panic(err)
	}

	EmailIdentityVerificationPlainText = t
}

const emailContentIdentityVerificationPlainText = `
This email has been sent to you in order to validate your identity.
If you did not initiate the process your credentials might have been compromised. You should reset your password and contact an administrator.

To setup your 2FA please visit the following URL: {{ .LinkURL }}

This email was generated by a user with the IP {{ .RemoteIP }}.

Please contact an administrator if you did not initiate this process.
`
